* {
    box-sizing: border-box;
    border-radius: 1px;
    margin: 0;
    padding: 3px;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: lightslategray;
    color: rgb(230, 230, 230);
    width: 95%;
}

.navbar {                           /* navbarin taustaväri */
    overflow: hidden;
    background-color: #333;
}

/*  ei vaikuta mihinkään
.navbar a {
    float: left;
    font-size: 16px;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    display: block;
}
*/

.dropdown {                 /* navbarin otsikkorivin sijoitus */
    float: left;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 14px;
    border: none;
    outline: none;
    color: white;
    padding: 8px 6px;
    background-color: inherit;
    font-family: inherit;
    margin: 0;
}

.navbar a:hover, .dropdown:hover .dropbtn {
    background-color: darkgreen;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content button {
    float: none;
    color: black;
    padding: 2px;
    text-decoration: none;
    display: block;            /* järjestää buttonit allekkain*/
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #ddd;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.vertical-menu {
    width: 200px;
}

.vertical-menu a {
    background-color: #eee;
    color: black;
    display: block;
    padding: 12px;
    text-decoration: none;
}

.vertical-menu a:hover {
    background-color: #ccc;
}

.vertical-menu a.active {
    background-color: #04AA6D;
    color: white;
}


p {
    font-size: 14px;
}

button {
    background-color: lightgray;
    cursor: pointer;
    font-size: 12px;
}

button:hover{
    background-color: darksalmon;
    border: 2px solid black;
}

aside {
    float: left;
    margin-left: 0px;
    margin-bottom: 100px;
    background-color: lightsteelblue;
}

li {
    display: block;
}

ul {
    margin-left: 0px;
    margin-right: 50px;
    ackground-color: lightgrey;
    list-style-type: none;
}

h2 {
    text-align: center;
    padding: 18px;
    color: #333333;
}


#ulFooter {
    list-style-type: none;
    padding: 5px;
    background-color: #996633;
    font-size: 12px;
    text-align: left;
    margin-left: 5px;
    margin-right: 70%;
    margin-top: 30px;
    display: block;
}


#ots1 {
    font-size: 13px;
    font-styl: italic;
    font-family: "Courier New";
}

#ots2 {
    font-size: 13px;
}

#aika {
    font-size: 11px;
    font-style: italic;
    margin-left: 000px;
}

h5 {
    font-size: 11.5px;
}

#tietokentta {          /* vari määritelty tietojenhaku varit-funktiossa */
    margin-top: 30px;
    margin-left: 50px;
    margin-right: 50px;
}

a {
    padding: 0px;
    color: #bbbb42;
}

a:visited {
    color: #bbbb42;
}

.hidden {
    opacity:0;
    margin-left: 900px;
}

.hidden:hover {
    opacity:1;
}

.uusi {
    background-color: #e01b1b;
}